libzypp: zypp::media::MediaMountException Class Reference

libzypp 17.36.6

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
zypp::media::MediaMountException Class Reference

`#include <zypp-media/mediaexception.h>`

Inheritance diagram for zypp::media::MediaMountException:

## Public Member Functions
| MediaMountException ()
| MediaMountException (std::string error_r, std::string source_r, std::string target_r, std::string cmdout_r="")
| Ctor taking message.
| ~MediaMountException () noexcept override
| Dtor.
const std::string & | mountError () const
const std::string & | mountSource () const
const std::string & | mountTarget () const
const std::string & | mountOutput () const
Public Member Functions inherited from zypp::media::MediaException
| MediaException ()
| Ctor taking message.
| MediaException (const std::string &msg_r)
| Ctor taking message.
| ~MediaException () noexcept override
| Dtor.
Public Member Functions inherited from zypp::Exception
| Exception ()
| Default ctor.
| Exception (const std::string &msg_r)
| Ctor taking a message.
| Exception (std::string &&msg_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
| Exception (const std::string &msg_r, const Exception &history_r)
| Ctor taking a message and an exception to remember as history.
| Exception (std::string &&msg_r, const Exception &history_r)
| Exception (const std::string &msg_r, Exception &&history_r)
| Exception (std::string &&msg_r, Exception &&history_r)
| ~Exception () override throw ()
| Dtor.
const CodeLocation & | where () const
| Return CodeLocation.
void | relocate (const CodeLocation &where_r) const
| Exchange location on rethrow.
const std::string & | msg () const
| Return the message string provided to the ctor.
std::string | asString () const
| Error message provided by dumpOn as string.
std::string | asUserString () const
| Translated error message as string suitable for the user.
void | remember (const Exception &old_r)
| Store an other Exception as history.
void | remember (Exception &&old_r)
void | remember (std::exception_ptr old_r)
void | remember (const std::string &msg_r)
| Remembering a plain string is most probably not wanted - we addHistory.
void | remember (std::string &&msg_r)
void | addHistory (const std::string &msg_r)
| Add some message text to the history.
void | addHistory (std::string &&msg_r)
template<class TContainer>
void | addToHistory (const TContainer &msgc_r)
| addHistory from string container types (oldest first)
template<class TContainer>
void | moveToHistory (TContainer &&msgc_r)
| addHistory from string container types (oldest first) moving
HistoryIterator | historyBegin () const
| Iterator pointing to the most recent message.
HistoryIterator | historyEnd () const
| Iterator pointing behind the last message.
bool | historyEmpty () const
| Whether the history list is empty.
HistorySize | historySize () const
| The size of the history list.
std::string | historyAsString () const
| The history as string.
std::string | asUserHistory () const
| A single (multiline) string composed of asUserString and historyAsString.

## Protected Member Functions
std::ostream & | dumpOn (std::ostream &str) const override
| Overload this to print a proper error message.

## Private Attributes
std::string | _error
std::string | _source
std::string | _target
std::string | _cmdout

## Additional Inherited Members
Public Types inherited from zypp::Exception
using | CodeLocation = exception_detail::CodeLocation
using | History = std::list<std::string>
using | HistoryIterator = History::const_iterator
using | HistorySize = History::size_type
static std::string | strErrno (int errno_r)
| Make a string from errno_r.
static std::string | strErrno (int errno_r, std::string msg_r)
| Make a string from errno_r and msg_r.
static void | log (const Exception &excpt_r, const CodeLocation &where_r, const char *const prefix_r)
| Drop a logline on throw, catch or rethrow.
static void | log (const char *typename_r, const CodeLocation &where_r, const char *const prefix_r)
| \overrload for not-Exception types thrown via ZYPP_THROW
Related Symbols inherited from zypp::Exception
std::ostream & | operator<< (std::ostream &str, const Exception &obj) ZYPP_API
| Stream output.

## Detailed Description

Definition at line 55 of file mediaexception.h.

## Constructor & Destructor Documentation

## ◆ MediaMountException() [1/2]

zypp::media::MediaMountException::MediaMountException | ( |  | ) |
| inline

Definition at line 58 of file mediaexception.h.

## ◆ MediaMountException() [2/2]

zypp::media::MediaMountException::MediaMountException | ( | std::string | error_r,
|  | std::string | source_r,
|  | std::string | target_r,
|  | std::string | cmdout_r = "" )
| inline

Ctor taking message.

Use ZYPP_THROW macros to throw exceptions.

Definition at line 65 of file mediaexception.h.

## ◆ ~MediaMountException()

zypp::media::MediaMountException::~MediaMountException | ( |  | ) |
| inlineoverridenoexcept

Dtor.

Definition at line 76 of file mediaexception.h.

## Member Function Documentation

## ◆ mountError()

const std::string & zypp::media::MediaMountException::mountError | ( |  | ) | const
| inline

Definition at line 78 of file mediaexception.h.

## ◆ mountSource()

const std::string & zypp::media::MediaMountException::mountSource | ( |  | ) | const
| inline

Definition at line 80 of file mediaexception.h.

## ◆ mountTarget()

const std::string & zypp::media::MediaMountException::mountTarget | ( |  | ) | const
| inline

Definition at line 82 of file mediaexception.h.

## ◆ mountOutput()

const std::string & zypp::media::MediaMountException::mountOutput | ( |  | ) | const
| inline

Definition at line 84 of file mediaexception.h.

## ◆ dumpOn()

std::ostream & zypp::media::MediaMountException::dumpOn | ( | std::ostream & | str | ) | const
| overrideprotectedvirtual

Overload this to print a proper error message.

Reimplemented from zypp::Exception.

Definition at line 31 of file mediaexception.cc.

## Member Data Documentation

## ◆ _error

std::string zypp::media::MediaMountException::_error
| private

Definition at line 90 of file mediaexception.h.

## ◆ _source

std::string zypp::media::MediaMountException::_source
| private

Definition at line 91 of file mediaexception.h.

## ◆ _target

std::string zypp::media::MediaMountException::_target
| private

Definition at line 92 of file mediaexception.h.

## ◆ _cmdout

std::string zypp::media::MediaMountException::_cmdout
| private

Definition at line 93 of file mediaexception.h.

The documentation for this class was generated from the following files:

- zypp-media/mediaexception.h
- zypp-media/mediaexception.cc